summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-06-11 00:08:05 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-06-11 00:08:05 +0100
commit65ff3cc3bd9c3f8e718a67dfecf1f8215bf5d1d4 (patch)
tree541cbae0eb51d2fdb39d64b3d135d1a6f7994dc8 /eclass
parent0aad4cd3e3fe3db90904ffc51b35e4ff160b53c5 (diff)
gentoo auto-resync : 11:06:2024 - 00:08:04
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39222 -> 39213 bytes
-rw-r--r--eclass/common-lisp-3.eclass24
-rw-r--r--eclass/vdr-plugin-2.eclass13
3 files changed, 20 insertions, 17 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index ff7fdf89236e..c4b0eb13baa3 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/common-lisp-3.eclass b/eclass/common-lisp-3.eclass
index 26d31268a598..99825190f32e 100644
--- a/eclass/common-lisp-3.eclass
+++ b/eclass/common-lisp-3.eclass
@@ -1,17 +1,17 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: common-lisp-3.eclass
# @MAINTAINER:
# Common Lisp project <common-lisp@gentoo.org>
-# @SUPPORTED_EAPIS: 6 7
+# @SUPPORTED_EAPIS: 6 7 8
# @BLURB: functions to support the installation of Common Lisp libraries
# @DESCRIPTION:
# Since Common Lisp libraries share similar structure, this eclass aims
# to provide a simple way to write ebuilds with these characteristics.
case ${EAPI} in
- 6|7) ;;
+ 6|7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -121,7 +121,8 @@ common-lisp-install-sources() {
local fpredicate=$(common-lisp-get-fpredicate "${ftype}")
- for path in "${@}" ; do
+ local path
+ for path ; do
if [[ -f ${path} ]] ; then
common-lisp-install-one-source ${fpredicate} "${path}" "$(dirname "${path}")"
elif [[ -d ${path} ]] ; then
@@ -148,7 +149,7 @@ common-lisp-install-sources() {
# Installs ${1} asdf file in CLSOURCEROOT/CLPACKAGE and symlinks it in
# CLSYSTEMROOT.
common-lisp-install-one-asdf() {
- [[ $# != 1 ]] && die "${FUNCNAME[0]} must receive exactly one argument"
+ [[ $# -eq 1 ]] || die "${FUNCNAME[0]} must receive exactly one argument"
# the suffix «.asd» is optional
local source=${1%.asd}.asd
@@ -166,9 +167,11 @@ common-lisp-install-one-asdf() {
common-lisp-install-asdf() {
dodir "${CLSYSTEMROOT}"
- [[ $# = 0 ]] && set - ${CLSYSTEMS}
- [[ $# = 0 ]] && set - $(find . -type f -name \*.asd)
- for sys in "${@}" ; do
+ [[ $# -eq 0 ]] && set - ${CLSYSTEMS}
+ [[ $# -eq 0 ]] && set - $(find . -type f -name \*.asd)
+
+ local sys
+ for sys ; do
common-lisp-install-one-asdf ${sys}
done
}
@@ -187,6 +190,7 @@ common-lisp-3_src_install() {
# Outputs an installed Common Lisp implementation. Transverses
# CLIMPLEMENTATIONS to find it.
common-lisp-find-lisp-impl() {
+ local lisp
for lisp in ${CLIMPLEMENTATIONS} ; do
[[ "$(best_version dev-lisp/${lisp})" ]] && echo "${lisp}" && return
done
@@ -203,7 +207,7 @@ common-lisp-find-lisp-impl() {
# * CL_LOAD: load a certain file
# * CL_EVAL: eval a certain expression at startup
common-lisp-export-impl-args() {
- if [[ $# != 1 ]]; then
+ if [[ $# -ne 1 ]]; then
eerror "Usage: ${FUNCNAME[0]} lisp-implementation"
die "${FUNCNAME[0]}: wrong number of arguments: $#"
fi
@@ -211,7 +215,7 @@ common-lisp-export-impl-args() {
case "${CL_BINARY}" in
sbcl)
CL_BINARY="${CL_BINARY} --non-interactive"
- CL_NORC="--sysinit /dev/null --userinit /dev/null"
+ CL_NORC="--no-sysinit --no-userinit"
CL_LOAD="--load"
CL_EVAL="--eval"
;;
diff --git a/eclass/vdr-plugin-2.eclass b/eclass/vdr-plugin-2.eclass
index 8f56511032c8..289c3d1a624a 100644
--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -160,7 +160,6 @@ vdr_create_header_checksum_file() {
# Plugins failed on compile with wrong path of libsi includes,
# this can be fixed by 'function + space separated list of files'
fix_vdr_libsi_include() {
- eqawarn "QA Notice: Fixing include of libsi-headers"
local f
for f; do
sed -i "${f}" \
@@ -245,7 +244,7 @@ vdr_gettext_missing() {
local GETTEXT_MISSING=$( grep xgettext Makefile )
if [[ -z ${GETTEXT_MISSING} ]]; then
- eqawarn "QA Notice: Plugin isn't converted to gettext handling!"
+ einfo "Notice: Plugin isn't converted to gettext handling!"
fi
}
@@ -306,11 +305,11 @@ vdr_i18n() {
if [[ -n ${I18N_OBJECT} ]]; then
if [[ "${KEEP_I18NOBJECT:-no}" = "yes" ]]; then
- eqawarn "QA Notice: Forced to keep i18n.o"
+ einfo "Notice: Forced to keep i18n.o"
else
sed -i "s:i18n.o::g" Makefile \
|| die "sed failed to remove i18n from Makefile"
- eqawarn "QA Notice: OBJECT i18n.o found, removed per sed"
+ einfo "Notice: OBJECT i18n.o found, removed per sed"
fi
fi
@@ -318,7 +317,7 @@ vdr_i18n() {
if [[ -n ${I18N_STRING} ]]; then
sed -i "s:^extern[[:space:]]*const[[:space:]]*tI18nPhrase://static const tI18nPhrase:" i18n.h \
|| die "sed failed to replace tI18nPhrase"
- eqawarn "QA Notice: obsolete tI18nPhrase found, disabled per sed, please recheck"
+ einfo "Notice: obsolete tI18nPhrase found, disabled per sed"
fi
}
@@ -337,7 +336,7 @@ vdr_remove_i18n_include() {
|| die "sed failed to remove i18n_include"
done
- eqawarn "QA Notice: removed i18n.h include in ${@}"
+ einfo "Notice: removed i18n.h include in ${@}"
}
# @FUNCTION: vdr-plugin-2_print_enable_command
@@ -568,7 +567,7 @@ vdr-plugin-2_src_install() {
DESTDIR="${D%/}" \
|| die "emake install (makefile target) failed"
else
- eqawarn "QA Notice: Plugin use still the old Makefile handling"
+ einfo "Notice: Plugin use still the old Makefile handling"
insinto "${VDR_PLUGIN_DIR}"
doins libvdr-*.so.*
fi